%!TEX root=../../source.tex
%!TEX file=config/commands/cdprs.tex

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% ROBOT NAMES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%
% @sample \RobotName{IPAnema}: Typesets the given robot name unifiedly throughout the document
%%
\ProvideDocumentCommand{\RobotName}{ m }{%
  \textsc{#1}\xspace%
}%

%%
% @sample \Artist: ARTIST robot
%%
\newcommand{\Artist}{\RobotName{ARTIST}}%
%%
% @sample \CaRoPrinter: CaRo Printer by ISW
%%
\newcommand{\CaRoPrinter}{\RobotName{CaRoPrinter}}%
%%
% @sample \CoGiRo: CoGiRo robot by LIRMM
%%
\newcommand{\CoGiRo}{\RobotName{CoGiRo}}%
%%
% @sample \COPacabana: COPacabana robot by ISW
%%
\newcommand{\COPacabana}{\RobotName{COPacabana}}%
%%
% @sample \COPacabanaHandling: COPacabanaHandling robot by ISW
%%
\newcommand{\COPacabanaHandling}{\RobotName{COPacabana Handling}}%
%%
% @sample \COPacabanaInspection: COPacabanaInspection robot by ISW
%%
\newcommand{\COPacabanaInspection}{\RobotName{COPacabana Inspection}}%
%%
% @sample \Expo: Expo robot by ISW
%%
\newcommand{\Expo}{\RobotName{Expo}}%
%%
% @sample \Fast: FAST robot
%%
\newcommand{\Fast}{\RobotName{FAST}}%
%%
% @sample \HRPCables: HRPCables by LIRMM
%%
\newcommand{\HRPCables}{\RobotName{HRPCables}}%
%%
% @sample \INCA: INCA6D by Haption SA
%%
\newcommand{\INCA}{\RobotName{INCA6D}}%
%%
% @sample \IPAnema: IPAnema robot by IPA
%%
\newcommand{\IPAnema}{\RobotName{IPAnema}}%
%%
% @sample \IPAnemaCuboid: IPAnema cuboid robot by IPA
%%
\newcommand{\IPAnemaCuboid}{\RobotName{IPAnema~Cuboid}}%
%%
% @sample \IPAnemaOne: IPAnema 1 robot by IPA
%%
\newcommand{\IPAnemaOne}{\RobotName{IPAnema~1}}%
%%
% @sample \IPAnemaOneFive: IPAnema 1.5 robot by IPA
%%
\newcommand{\IPAnemaOneFive}{\RobotName{IPAnema~1.5}}%
%%
% @sample \IPAnemaOne: IPAnema 1 robot by IPA
%%
\newcommand{\IPAnemaTwo}{\RobotName{IPAnema~2}}%
%%
% @sample \IPAnemaMini: IPAnema Mini robot by IPA
%%
\newcommand{\IPAnemaMini}{\RobotName{IPAnema~Mini}}%
%%
% @sample \IPAnemaThree: IPAnema 3 robot by IPA
%%
\newcommand{\IPAnemaThree}{\RobotName{IPAnema~3}}%
%%
% @sample \IPAnemaThreeTwo: IPAnema 3.2 robot by IPA
%%
\newcommand{\IPAnemaThreeTwo}{\RobotName{IPAnema~3.2}}%
%%
% @sample \IPAnemaThreeFive: IPAnema 3.5 robot by IPA
%%
\newcommand{\IPAnemaThreeFive}{\RobotName{IPAnema~3.5}}%
%%
% @sample \Marionet: Marionet robot family by JPM
%%
\newcommand{\Marionet}{\RobotName{Marionet}}%
%%
% @sample \MarionetRehab: Marionet Rehab robot by JPM
%%
\newcommand{\MarionetRehab}{\RobotName{Marionet Rehab}}%
%%
% @sample \MarionetCrane: Marionet Crane robot by JPM
%%
\newcommand{\MarionetCrane}{\RobotName{Marionet Crane}}%
%%
% @sample \MarionetAssist: Marionet Assist robot by JPM
%%
\newcommand{\MarionetAssist}{\RobotName{Marionet Assist}}%
%%
% @sample \MarionetVR: Marionet VR robot by JPM
%%
\newcommand{\MarionetVR}{\RobotName{Marionet VR}}%
%%
% @sample \MPICRS: MPI CableRobot Simulator by MPI
%%
\newcommand{\MPICRS}{\RobotName{MPI CableRobot Simulator}}%
%%
% @sample \RoboCrane: RoboCrane robot by NIST
%%
\newcommand{\RoboCrane}{\RobotName{NIST RoboCrane}}%
%%
% @sample \Segesta: SEGESTA robot by UniDuE
%%
\newcommand{\Segesta}{\RobotName{SEGESTA}}%
%%
% @sample \Skycam: Skycam robot by Skycam LLC.
%%
\newcommand{\Skycam}{\RobotName{Skycam}}%
%%
% @sample \Spidercam: Spidercam robot
%%
\newcommand{\Spidercam}{\RobotName{Spidercam}}%
%%
% @sample \WARP: Warp falcon robot
%%
\newcommand{\WARP}{\RobotName{WARP}}%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% TEXT COMMANDS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%
% @sample \cdpr: Write "cable-driven parallel robot"
% @sample \cdpr*: Write "CDPR"
%%
\ProvideDocumentCommand{\cdpr}{ s }{%
  \IfBooleanTF{#1}{%
    cable-driven parallel robot%
  }{%
    CDPR%
  }%
  \xspace%
}%

%%
% @sample \Cdpr: Write "Cable-driven parallel robot"
% @sample \Cdpr*: Write "CDPR"
%%
\ProvideDocumentCommand{\Cdpr}{ s }{%
  \IfBooleanTF{#1}{%
    Cable-driven parallel robot%
  }{%
    CDPR%
  }%
  \xspace%
}%

%%
% @sample \cdprs: Write "cable-driven parallel robots"
% @sample \Cdprs*: Write "CDPRs"
%%
\ProvideDocumentCommand{\cdprs}{ s }{%
  \IfBooleanTF{#1}{%
    cable-driven parallel robots%
  }{%
    CDPRs%
  }%
  \xspace%
}%

%%
% @sample \Cdprs: Write "Cable-driven parallel robots"
% @sample \Cdprs*: Write "CDPRs"
%%
\ProvideDocumentCommand{\Cdprs}{ s }{%
  \IfBooleanTF{#1}{%
    Cable-driven parallel robots%
  }{%
    CDPRs%
  }%
  \xspace%
}%

%%
% @sample \caro: Write "cable robot"
%%
\ProvideDocumentCommand{\caro}{ }{%
  cable robot\xspace%
}%

%%
% @sample \Caro: Write "Cable robot"
%%
\ProvideDocumentCommand{\Caro}{ }{%
  Cable robot\xspace%
}%

%%
% @sample \caros: Write "cable robots"
%%
\ProvideDocumentCommand{\caros}{ }{%
  cable robots\xspace
}%

%%
% @sample \Caros: Write "Cable robots"
%%
\ProvideDocumentCommand{\Caros}{ }{%
  Cable robots\xspace
}%

%%
% @sample \MP{3}: Write motion pattern "3T"
% @sample \MP{1}{2}: Write motion pattern "1R2T"
%%
\ProvideDocumentCommand{\MP}{ m g }{%
  \textsc{%
    \IfNoValueTF{#2}{#1T}{#1R#2T}%
  }%
  \xspace
}%

%%
% @sample \Dyneema: Typesets the product name "Dyneema" with the proper trademark symbol
% @sample \Dyneema*: Typesets the product name "Dyneema" without any trademark symbol
%%
\ProvideDocumentCommand{\Dyneema}{ }{%
  Dyneema\textsuperscript{\textregistered}\xspace%
}

%%
% @sample \Spectra: Typesets the product name "Spectra" with the proper trademark symbol
% @sample \Spectra*: Typesets the product name "Spectra" without any trademark symbol
%%
\ProvideDocumentCommand{\Spectra}{ }{%
  Spectra\textsuperscript{\textregistered}\xspace%
}

%%
% @sample \UHMWPE: Typesets "UHMWPE"
%%
\ProvideDocumentCommand{\UHMWPE}{ s }{%
  \IfBooleanTF{#1}{%
    ultra-high-molecular-weight polyethylene%
  }{%
    UHMWPE\xspace%
  }%
}%



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% MATHEMATICAL SYMBOLS
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%
% @group math
% @sample \wrench: Wrench on platform
%
\ProvideDocumentCommand{\wrench}{ }{%
  \vect{w}%
}%

%%
% @group math
% @sample \wrenchY: Wrench on platform given in dimensions of state $\state$
%
\ProvideDocumentCommand{\wrenchY}{ }{%
  \overlinevect{w}%
}%

%%
% @group math
% @sample \wrapangle: Wrapping angle of cable on the last pulley
% @sample \wrapangle[\ms{avg}]: Add additional subscript index $\ms{avg}$ to the index
%%
\ProvideDocumentCommand{\wrapangle}{ o }{%
  \IfNoValueTF{#1}{%
    \beta_{\mc{w}}%
  }{%
    \beta_{\mc{w}, #1}%
  }%
}%


%%
% @group math
% @sample \wrapangleopp: Opposite wrapping angle of cable on the last pulley
% @sample \wrapangleopp[\ms{avg}]: Add additional subscript index $\ms{avg}$ to the index
%%
\ProvideDocumentCommand{\wrapangleopp}{ o }{%
  \IfNoValueTF{#1}{%
    \beta_{\mc{w/o}}%
  }{%
    \beta_{\mc{w/o}, #1}%
  }%
}%

%%
% @group math
% @sample \swivelangle: Swiveling angle of the pulley i.e., angle of its circumference axis wrt.\@ original $x$-axis
%%
\ProvideDocumentCommand{\swivelangle}{ }{%
  \gamma%
}%


%%
% @group math
% @sample \posscal: Scalar symbol of the platform pose
%%
\ProvideDocumentCommand{\posscal}{ }{%
  r%
}%


%%
% @group math
% @sample \posesymbol: Symbol for the cable robot platform pose
%%
\ProvideDocumentCommand{\posesymbol}{ }{%
  y%
}%

%%
% @group math
% @sample \platpose: Pose of platform
%%
\ProvideDocumentCommand{\platpose}{ }{%
  \vect{\hat{\posesymbol}}%
}%

%%
% @group math
% @sample \dotplatpose: First-order time derivative of platform pose
%%
\ProvideDocumentCommand{\dotplatpose}{ }{%
  \dotvect{\hat{\posesymbol}}%
}%

%%
% @group math
% @sample \ddotplatpose: Second-order time derivative of platform pose
%%
\ProvideDocumentCommand{\ddotplatpose}{ }{%
  \ddotvect{\hat{\posesymbol}}%
}%

%%
% @group math
% @sample \platpos: Vector platform position
% @sample \platpos*: Scalar platform position
% @sample \platpos[a][b]: Use mathtools' prescript command to typeset the platform position with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\platpos}{ s o O{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\posscal}%
    }{%
      \posscal%
    }%
  }{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\vect{\posscal}}%
    }{%
      \vect{\posscal}%
    }%
  }%
}%

%%
% @group math
% @sample \dotplatpos: First time-derivative of vector of platform position
% @sample \dotplatpos[\ms{p}]: Use mathtools' prescript command to typeset the platform position with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\dotplatpos}{ s o O{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\dot{\posscal}}%
    }{%
      \dot{\posscal}%
    }%
  }{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\dotvect{\posscal}}%
    }{%
      \dotvect{\posscal}%
    }%
  }%
}%

%%
% @group math
% @sample \ddotplatpos: Second time-derivative of vector of platform position
% @sample \ddotplatpos[\ms{p}]: Use mathtools' prescript command to typeset the platform position with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\ddotplatpos}{ s o O{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\ddot{\posscal}}%
    }{%
      \ddot{\posscal}%
    }%
  }{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\ddotvect{\posscal}}%
    }{%
      \ddotvect{\posscal}%
    }%
  }%
}%

%%
% @group math
% @sample \platrot: Matrix of platform rotation
% @sample \platrot[\ms{P}]: Use mathtools' prescript command to typeset the platform rotation with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\platrot}{ s o O{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{R}%
    }{%
      R%
    }%
  }{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\matr{R}}%
    }{%
      \matr{R}%
    }%
  }%
  _{\subplatform}%
}%

%%
% @group math
% @sample \dotplatrot: First time derivative of atrix of platform rotation
% @sample \dotplatrot[\ms{P}]: Use mathtools' prescript command to typeset the platform rotation with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\dotplatrot}{ s o O{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\dot{R}}%
    }{%
      \dot{R}
    }%
  }{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\dotmatr{R}}%
    }{%
      \dotmatr{R}%
    }%
  }%
  _{\subplatform}%
}%

%%
% @group math
% @sample \ddotplatrot: Second time-derivative of matrix of platform rotation
% @sample \ddotplatrot[\ms{P}]: Use mathtools' prescript command to typeset the platform rotation with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\ddotplatrot}{ s o O{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\ddot{R}}%
    }{%
      \ddot{R}%
    }%
  }{%
    \IfValueTF{#2}{%
      \prescript{#2}{#3}{\ddotmatr{R}}%
    }{%
      \ddotmatr{R}%
    }%
  }%
  _{\subplatform}%
}%

%%
% @group math
% @sample \platori: Tuple of platform orientation parametrization
% @sample \platori[\ms{P}]: Use mathtools' prescript command to typeset the platform orientation parametrization tuple with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\platori}{ o O{} }{%
  \IfValueTF{#1}{%
    \prescript{#1}{#2}{\orientparam}%
  }{%
    \orientparam%
  }%
  _{\subplatform}%
}%

%%
% @group math
% @sample \platori: Tuple of platform orientation parametrization
% @sample \platori[\ms{P}]: Use mathtools' prescript command to typeset the platform orientation parametrization tuple with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\dotplatori}{ o O{} }{%
  \IfValueTF{#1}{%
    \prescript{#1}{#2}{\dot{\orientparam}}%
  }{%
    \dot{\orientparam}%
  }%
  _{\subplatform}%
}%

%%
% @group math
% @sample \ddotplatori: Tuple of platform orientation parametrization
% @sample \ddotplatori[\ms{P}]: Use mathtools' prescript command to typeset the platform orientation parametrization tuple with the optional argument as left-side indices
%%
\ProvideDocumentCommand{\ddotplatori}{ o O{} }{%
  \IfValueTF{#1}{%
    \prescript{#1}{#2}{\ddot{\orientparam}}%
  }{%
    \ddot{\orientparam}%
  }%
  _{\subplatform}%
}%

%%
% @group math
% @sample \actuang: Actuator angular position
%%
\ProvideDocumentCommand{\actuang}{ }{%
  \varphi%q%
}%

%%
% @group math
% @sample \dotactuang: First-order time derivative of scalar actuator angular position
%%
\ProvideDocumentCommand{\dotactuang}{ }{%
  \dot{\actuang}%
}%

%%
% @group math
% @sample \dotactuang: First-order time derivative of scalar actuator angular position
%%
\ProvideDocumentCommand{\dotactuang}{ }{%
  \dot{\actuang}%
}%

%%
% @group math
% @sample \ddotactuang: Second-order time derivative of scalar actuator angular position
%%
\ProvideDocumentCommand{\ddotactuang}{ }{%
  \ddot{\actuang}%
}%

%%
% @group math
% @sample \actuangs: Vector of actuator angular position
%%
\ProvideDocumentCommand{\actuangs}{ }{%
  \vect{\actuang}%
}%

%%
% @group math
% @sample \dotactuangs: First-order time derivative of vector of actuator angular position
%%
\ProvideDocumentCommand{\dotactuangs}{ }{%
  \dotvect{\actuang}%
}%

%%
% @group math
% @sample \ddotactuangs: Second-order time derivative of vector of actuator angular position
%%
\ProvideDocumentCommand{\ddotactuangs}{ }{%
  \ddotvect{\actuang}%
}%

%%
% @group math
% @sample \jointcoord: Scalar oint coordinate
%%
\ProvideDocumentCommand{\jointcoord}{ }{%
  q%
}%

%%
% @group math
% @sample \dotjointcoord: First-order time-derivative of scalar joint coordinate
%%
\ProvideDocumentCommand{\dotjointcoord}{ }{%
  \dot{\jointcoord}%
}%

%%
% @group math
% @sample \ddotjointcoord: Second-order time-derivative of scalar joint coordinate
%%
\ProvideDocumentCommand{\ddotjointcoord}{ }{%
  \ddot{\jointcoord}%
}%

%%
% @group math
% @sample \jointcoords: Vector of joint coordinates
%%
\ProvideDocumentCommand{\jointcoords}{ }{%
  \vect{\jointcoord}%
}%

%%
% @group math
% @sample \dotjointcoord: First-order time-derivative of vector of joint coordinate
%%
\ProvideDocumentCommand{\dotjointcoords}{ }{%
  \dotvect{\jointcoord}%
}%

%%
% @group math
% @sample \ddotjointcoords: Second-order time-derivative of vector of joint coordinate
%%
\ProvideDocumentCommand{\ddotjointcoords}{ }{%
  \ddotvect{\jointcoord}%
}%

%%
% @group math
% @sample \numcable: Number of cables/wires
%%
\ProvideDocumentCommand{\numcable}{ }{%
  m%
}%

%%
% @group math
% @sample \redundancy: Symbol of actuator redundancy
%%
\ProvideDocumentCommand{\redundancy}{ }{%
  r%
}%

%%
% @group math
% @sample \cabdirn: Cable direction vector
%
\ProvideDocumentCommand{\cabdirn}{ }{%
  \vect{l}%
}%

%%
% @group math
% @sample \dotcabdirn: First time-derivative of cable direction vector
%
\ProvideDocumentCommand{\dotcabdirn}{ }{%
  \dotvect{l}%
}%

%%
% @group math
% @sample \ddotcabdirn: Second time-derivative of cable direction vector
%
\ProvideDocumentCommand{\ddotcabdirn}{ }{%
  \ddotvect{l}%
}%

%%
% @group math
% @sample \cabudirn: Cable unit direction vector
%
\ProvideDocumentCommand{\cabudirn}{ }{%
  \vect{u}%
}%

%%
% @group math
% @sample \cablen: Cable length variable
%%
\ProvideDocumentCommand{\cablen}{ }{%
  L%
}%

%%
% @group math
% @sample \dotcablen: Time-derivative of cable length variable
%%
\ProvideDocumentCommand{\dotcablen}{ }{%
  \dot{\cablen}%
}%

%%
% @group math
% @sample \ddotcablen: Second time-derivative of cable length variable
%%
\ProvideDocumentCommand{\ddotcablen}{ }{%
  \ddot{\cablen}%
}%

%%
% @group math
% @sample \cablens: Vector of all nominal cable lengths
%%
\ProvideDocumentCommand{\cablens}{ }{%
  \vect{\cablen}%
}%

%%
% @group math
% @sample \dotcablens: Vector of first-order time derivative of all nominal cable lengths
%%
\ProvideDocumentCommand{\dotcablens}{ }{%
  \dotvect{\cablen}%
}%

%%
% @group math
% @sample \ddotcablens: Vector of second-order time derivative of all nominal cable lengths
%%
\ProvideDocumentCommand{\ddotcablens}{ }{%
  \ddotvect{\cablen}%
}%

%%
% @group math
% @sample \delcablen: Difference of nominal and geometric cable length
\ProvideDocumentCommand{\delcablen}{ }{%
  \Delta%
}%

%%
% @group math
% @sample \dotdelcablen: Time-derivative of difference of nominal and geometric cable length
\ProvideDocumentCommand{\dotdelcablen}{ }{%
  \dot{\delcablen}%
}%

%%
% @group math
% @sample \ddotdelcablen: Second time-derivative of difference of nominal and geometric cable length
\ProvideDocumentCommand{\ddotdelcablen}{ }{%
  \ddot{\delcablen}%
}%

%%
% @group math
% @sample \delcablens: Differences of nominal and geometric cable lengths
\ProvideDocumentCommand{\delcablens}{ }{%
  \vect{\delcablen}%
}%

%%
% @group math
% @sample \dotdelcablens: Time-derivative of differences of nominal and geometric cable lengths
\ProvideDocumentCommand{\dotdelcablens}{ }{%
  \dotvect{\delcablen}%
}%

%%
% @group math
% @sample \ddotdelcablens: Second time-derivative of differences of nominal and geometric cable lengths
\ProvideDocumentCommand{\ddotdelcablens}{ }{%
  \ddotvect{\delcablen}%
}%

%%
% @group math
% @sample \structmat: Structure matrix
%%
\ProvideDocumentCommand{\structmat}{ s }{%
  \IfBooleanTF{#1}{%
    \matr{A}%
  }{%
    \transpose{\matr{A}}%
  }
}%

%%
% @group math
% @sample \invkin: Inverse kinematics function/vector field
% @sample \invkin{y}: Add a functional argument to the inverse kinematics call
%%
\ProvideDocumentCommand{\invkin}{ g }{%
  \vect{\Phi}_{\ms{IK}}%
  \IfValueT{#1}{\of{#1}}%
}%

%%
% @group math
% @sample \dirkin: Direct kinematics function/vector field
% @sample \dirkin{q}: Add a functional argument to the direct kinematics call
%%
\ProvideDocumentCommand{\dirkin}{ g }{%
  \vect{\Phi}_{\ms{DK}}%
  \IfValueT{#1}{\of{#1}}%
}%

%%
% @group math
% @sample \cabforce: Nominal cable force
%%
\ProvideDocumentCommand{\cabforce}{ }{%
  f%
}%

%%
% @group math
% @sample \cabforces: Vector of cable forces
%%
\ProvideDocumentCommand{\cabforces}{ }{%
  \vect{\cabforce}%
}%

%%
% @group math
% @sample \cabforcedist: Scalar cable forces distribution
%%
\ProvideDocumentCommand{\cabforcedist}{ }{%
  \cabforce_{\sim}%
}%

%%
% @group math
% @sample \cabforcesdist: Vector of cable forces distribution
%%
\ProvideDocumentCommand{\cabforcesdist}{ }{%
  \cabforces_{\symdist}%
}%

%%
% @group math
% @sample \cabforcesmean: Vector of mean cable forces
%%
\ProvideDocumentCommand{\cabforcesmean}{ }{%
  \bar{\cabforces}%
}%

%%
% @group math
% @sample \symforcemin: Symbol for a minimum force
%%
\ProvideDocumentCommand{\symforcemin}{ }{%
  -%
}%

%%
% @group math
% @sample \symforcemax: Symbol for a maximum force
%%
\ProvideDocumentCommand{\symforcemax}{ }{%
  +%
}%

%%
% @group math
% @sample \cabforcemin: Scalar minimum cable force
%%
\ProvideDocumentCommand{\cabforcemin}{ }{%
  \cabforce_{\symforcemin}%
}%

%%
% @group math
% @sample \cabforcesmin: Vector of minimum cable forces
%%
\ProvideDocumentCommand{\cabforcesmin}{ }{%
  \cabforces_{\symforcemin}%
}%

%%
% @group math
% @sample \cabforcesmax: Vector of maximum cable forces
%%
\ProvideDocumentCommand{\cabforcesmax}{ }{%
  \cabforces_{\symforcemax}%
}%

%%
% @group math
% @sample \cabforcemax: Scalar maximum cable force
%%
\ProvideDocumentCommand{\cabforcemax}{ }{%
  \cabforce_{\symforcemax}%
}%

%%
% @group math
% @sample \cabforcedirn: Directed cable force vector i.e., the 3-dimensional cable force direction and magnitude
%%
\ProvideDocumentCommand{\cabforcedirn}{ }{%
  \vect{F}%
}



%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Robot specific parameters like ai, bi, etc
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%
% @group math
% @sample \robpar{k}: Typesets the robot parameter $k$ as vector quantity
% @sample \robpar*{k}: Typeset the robot parameter $k$ as scalar quantity
% @sample \robpar[v]{k}: Typesets the robot parameter $k$ as vector quantity with subscript index $v$
% @sample \robpar*[v]{k}: Typesets the robot parameter $k$ as scalar quantity with subscript index $v$
% @sample \robpar{k}{i}: Adds subscript index $i$ to the robot parameter $k$ as vector quantity
% @sample \robpar*{k}{i}: Adds subscript index $i$ to the robot parameter $k$ as scalar quantity
% @sample \robpar[v]{k}{i}: Adds subscript index $v$ before subscript index $i$ separated by comma to robot parameter $k$ as vector quantity
% @sample \robpar*[v]{k}{i}: Adds subscript index $v$ before subscript index $i$ separated by comma to robot parameter $k$ as scalar quantity
%%
\ProvideDocumentCommand{\robpar}{ s o m G{} }{%
  \IfBooleanTF{#1}{%
    \IfValueTF{#2}{%
      #3_{#4, #2}%
    }{%
      #3_{#4}%
    }%
  }{%
    \IfValueTF{#2}{%
      \vect{#3}_{#4, #2}%
    }{%
      \vect{#3}_{#4}%
    }%
  }%
}%

%%
% @group math
% @sample \ai: Typeset vector to frame anchor $a_{i}$
% @sample \ai{v}: Add subscript text $v$ before subscript index $i$
%%
\ProvideDocumentCommand{\ai}{ g }{%
  \IfValueTF{#1}{%
    \robpar[#1]{a}{i}%
  }{%
    \robpar{a}{i}%
  }%
}%

%%
% @group math
% @sample \Ai: Typeset point of frame anchor $A_{i}$
% @sample \Ai{v}: Add subscript text $v$ before subscript index $i$
%%
\ProvideDocumentCommand{\Ai}{ g }{%
  \IfValueTF{#1}{%
    \robpar*[#1]{A}{i}%
  }{%
    \robpar*{A}{i}%
  }%
}%

%%
% @group math
% @sample \bi: Typeset vector to platform anchor $b_{i}$
% @sample \bi{v}: Add subscript text $v$ before subscript index $i$
%%
\ProvideDocumentCommand{\bi}{ g }{%
  \IfValueTF{#1}{%
    \robpar[#1]{b}{i}%
  }{%
    \robpar{b}{i}%
  }%
}%

%%
% @group math
% @sample \Bi: Typeset point of frame anchor $B_{i}$
% @sample \Bi{v}: Add subscript text $v$ before subscript index $i$
%%
\ProvideDocumentCommand{\Bi}{ g }{%
  \IfValueTF{#1}{%
    \robpar*[#1]{B}{i}%
  }{%
    \robpar*{B}{i}%
  }%
}%

%%
% @group math
% @sample \ci: Typeset vector to cable leave point $c_{i}$
% @sample \ci{v}: Add subscript text $v$ before subscript index $i$
%%
\ProvideDocumentCommand{\ci}{ g }{%
  \IfValueTF{#1}{%
    \robpar[#1]{c}{i}%
  }{%
    \robpar{c}{i}%
  }%
}%

%%
% @group math
% @sample \Ci: Typeset point of cable leave point $C_{i}$
% @sample \Ci{v}: Add subscript text $v$ before subscript index $i$
%%
\ProvideDocumentCommand{\Ci}{ g }{%
  \IfValueTF{#1}{%
    \robpar*[#1]{C}{i}%
  }{%
    \robpar*{C}{i}%
  }%
}%

%%
% @group math
% @sample \platanchor: Typeset the platform anchor point vector $b$
% @sample \platanchor[P]: Adds mathtool prescript superscript index $P$ to the point vector $b$
% @sample \platanchor[P][Q]: Adds mathtool prescript subscript index $P$ and superscript index $Q$ to the point vector $b$
%%
\ProvideDocumentCommand{\platanchor}{ o O{} }{%
  \IfValueTF{#1}{%
    \prescript{#1}{#2}{\vect{b}}%
  }{%
    \vect{b}%
  }%
}%

%%
% @group math
% @sample \frameanchor: Typeset the frame anchor point vector $a$
% @sample \frameanchor[P]: Adds mathtool prescript superscript index $P$ to the point vector $a$
% @sample \frameanchor[P][Q]: Adds mathtool prescript subscript index $P$ and superscript index $Q$ to the point vector $a$
%%
\ProvideDocumentCommand{\frameanchor}{ o O{} }{%
  \IfValueTF{#1}{%
    \prescript{#1}{#2}{\vect{a}}%
  }{%
    \vect{a}%
  }%
}%

%%
% @group math
% @sample \cabindex: Typeset the conventional cable index $i$
%%
\ProvideDocumentCommand{\cabindex}{ }{%
  i%
}%

%%
% @group math
% @sample \lpathcoord: Original path coordinate in the range $[0, L_0]$ i.e., before rescaling it to $\pathcoord$
%%
\ProvideDocumentCommand{\lpathcoord}{ }{%
  \lambda%
}%

%%
% @group math
% @sample \domainlpathcoord: Domain of the path coordinate $\lpathcoord$
%%
\ProvideDocumentCommand{\domainlpathcoord}{ }{%
  \Lambda%
}%

%%
% @group math
% @sample \strainedlpathcoord: Strained path coordinate in the range $[0, L_{\subunstrained} + \delcablen]$
%%
\ProvideDocumentCommand{\strainedlpathcoord}{ }{%
  \varsigma%
}%

%%
% @group math
% @sample \domainstrainedlpathcoord: Domain of the straiend path coordinate $\strainedlpathcoord$
%%
\ProvideDocumentCommand{\domainstrainedlpathcoord}{ }{%
  \Sigma%
}%


%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% SYMBOLS AND INDICES
%%

%%
% @group math
% @sample \symroller: Text symbol for "roller"
%%
\ProvideDocumentCommand{\symroller}{ }{%
  \mc{R}%
}%

%%
% @group math
% @sample \subroller: Index for "roller"
%%
\ProvideDocumentCommand{\subroller}{ }{%
  \ms{\symroller}%
}%

%%
% @group math
% @sample \sympulley: Text symbol for "roller"
%%
\ProvideDocumentCommand{\sympulley}{ }{%
  \symroller%
}%

%%
% @group math
% @sample \subpulley: Index for "roller"
%%
\ProvideDocumentCommand{\subpulley}{ }{%
  \subroller%
}%


%%
% @group math
% @sample \symplatform: Notation symbol of "mobile platform"
\ProvideDocumentCommand{\symplatform}{ }{%
  \mc{P}%
}%

%%
% @group math
% @sample \subplatform: Index for "mobile platform"
%%
\ProvideDocumentCommand{\subplatform}{ }{%
  \ms{\symplatform}%
}%


%%
% @group math
% @sample \symworkspace: Notation symbol of "workspace"
\ProvideDocumentCommand{\symworkspace}{ }{%
  \mc{WS}%
}%

%%
% @group math
% @sample \subworkspace: Index for "workspace"
%%
\ProvideDocumentCommand{\subworkspace}{ }{%
  \ms{\symworkspace}%
}%


%%
% @group math
% @sample \symwinch: Symbol for "winch"
%%
\ProvideDocumentCommand{\symwinch}{ }{%
  \mc{W}%
}%

%%
% @group math
% @sample \subwinch: Index for "winch"
%%
\ProvideDocumentCommand{\subwinch}{ }{%
  \ms{\symwinch}%
}%


%%
% @group math
% @sample \symdrum: Symbol for "drum"
%%
\ProvideDocumentCommand{\symdrum}{ }{%
  \mc{D}%
}%

%%
% @group math
% @sample \subdrum: Index for "drum"
%%
\ProvideDocumentCommand{\subdrum}{ }{%
  \ms{\symdrum}%
}%


%%
% @group math
% @sample \symcable: Symbol for "cable"
%%
\ProvideDocumentCommand{\symcable}{ }{%
  \mc{C}%
}%

%%
% @group math
% @sample \subcable: Index for "cable"
%%
\ProvideDocumentCommand{\subcable}{ }{%
  \ms{\symcable}%
}%


%%
% @group math
% @sample \symdirkin: Symbol for "direct kinematics"
%%
\ProvideDocumentCommand{\symdirkin}{ }{%
  \mc{DK}%
}%

%%
% @group math
% @sample \subdirkin: Index for "direct kinematics"
%%
\ProvideDocumentCommand{\subdirkin}{ }{%
  \ms{\symdirkin}%
}%


%%
% @group math
% @sample \syminvkin: Symbol for "inverse kinematics"
%%
\ProvideDocumentCommand{\syminvkin}{ }{%
  \mc{IK}%
}%

%%
% @group math
% @sample \subinvkin: Index for "inverse kinematics"
%%
\ProvideDocumentCommand{\subinvkin}{ }{%
  \ms{\syminvkin}%
}%


%%
% @group math
% @sample \symfordyn: Symbol for "forward dynamics"
%%
\ProvideDocumentCommand{\symfordyn}{ }{%
  \mc{FD}%
}%

%%
% @group math
% @sample \subfordyn: Index for "forward dynamics"
%%
\ProvideDocumentCommand{\subfordyn}{ }{%
  \ms{\symfordyn}%
}%


%%
% @group math
% @sample \syminvdyn: Symbol for "inverse dynamics"
%%
\ProvideDocumentCommand{\syminvdyn}{ }{%
  \mc{ID}%
}%

%%
% @group math
% @sample \subinvdyn: Index for "inverse dynamics"
%%
\ProvideDocumentCommand{\subinvdyn}{ }{%
  \ms{\syminvdyn}%
}%


%%
% @group math
% @sample \symservo: Symbol for "servo motor"
%%
\ProvideDocumentCommand{\symservo}{ }{%
  \mc{SM}%
}%

%%
% @group math
% @sample \subservo: Index for "servo motor"
%%
\ProvideDocumentCommand{\subservo}{ }{%
  \ms{\symservo}%
}%


%%
% @group math
% @sample \symprocess: Symbol for "operation process"
%%
\ProvideDocumentCommand{\symprocess}{ }{%
  \mc{O}%
}%

%%
% @group math
% @sample \subprocess: Index for "operation process"
%%
\ProvideDocumentCommand{\subprocess}{ }{%
  \ms{\symprocess}%
}%


%%
% @group math
% @sample \symtranslational: Symbol for "translational"
%%
\ProvideDocumentCommand{\symtranslational}{ }{%
  \mc{T}%
}%

%%
% @group math
% @sample \subtranslational: Index for "translational"
%%
\ProvideDocumentCommand{\subtranslational}{ }{%
  \ms{\symtranslational}%
}%


%%
% @group math
% @sample \symrotational: Symbol for "rotational"
%%
\ProvideDocumentCommand{\symrotational}{ }{%
  \mc{R}%
}%

%%
% @group math
% @sample \subrotational: Index for "rotational"
%%
\ProvideDocumentCommand{\subrotational}{ }{%
  \ms{\symrotational}%
}%


%%
% @group math
% @sample \symunstrained: Symbol for "unstrained"
%%
\ProvideDocumentCommand{\symunstrained}{ }{%
  \mc{O}%
}%

%%
% @group math
% @sample \subunstrained: Index for "unstrained"
%%
\ProvideDocumentCommand{\subunstrained}{ }{%
  \ms{\symunstrained}%
}%


%%
% @group math
% @sample \symstrained: Symbol for "strained"
%%
\ProvideDocumentCommand{\symstrained}{ }{%
  \mc{S}%
}%

%%
% @group math
% @sample \substrained: Index for "strained"
%%
\ProvideDocumentCommand{\substrained}{ }{%
  \ms{\symstrained}%
}%


%%
% @group math
% @sample \symcenterofmass: Symbol for "center of mass"
%%
\ProvideDocumentCommand{\symcenterofmass}{ }{%
  \mc{com}%
}%

%%
% @group math
% @sample \subcenterofmass: Index for "center of mass"
%%
\ProvideDocumentCommand{\subcenterofmass}{ }{%
  \ms{\symcenterofmass}%
}%


%%
% @group math
% @sample \platformMass: Mass matrix with platform index
%%
\ProvideDocumentCommand{\platformMass}{ }{%
  \Mass_{\subplatform}
}%


%%
% @group math
% @sample \platformmass: Scalar mass with platform index
%%
\ProvideDocumentCommand{\platformmass}{ }{%
  \mass_{\subplatform}
}%


%%
% @group math
% @sample \symproximal: Symbol for "proximal"
%%
\ProvideDocumentCommand{\symproximal}{ }{%
  \mc{P}%
}%

%%
% @group math
% @sample \symdistal: Index for "proximal"
%%
\ProvideDocumentCommand{\subproximal}{ }{%
  \ms{\symproximal}%
}%


%%
% @group math
% @sample \symdistal: Symbol for "distal"
%%
\ProvideDocumentCommand{\symdistal}{ }{%
  \mc{D}%
}%

%%
% @group math
% @sample \subdistal: Index for "distal"
%%
\ProvideDocumentCommand{\subdistal}{ }{%
  \ms{\symdistal}%
}%


%%
% @group math
% @sample \symdist: Symbol for "distribution"
%%
\ProvideDocumentCommand{\symdist}{ }{%
  \sim%
}%

%%
% @group math
% @sample \subdist: Index for "distribution"
%%
\ProvideDocumentCommand{\subdist}{ }{%
  \ms{\symdist}%
}%


%%
% @group math
% @sample \mscaro: Index for "cable robot" or "caro"
%%
\ProvideDocumentCommand{\mscaro}{ }{%
  \ms{caro}%
}%


%%
% @group math
% @sample \mskinematic: Index for "kinematic"
%%
\ProvideDocumentCommand{\mskinematic}{ }{%
  \ms{km}%
}%


%%
% @group math
% @sample \mskinetostatic: Index for "kinetostatic"
%%
\ProvideDocumentCommand{\mskinetostatic}{ }{%
  \ms{ks}%
}%


%% SYMBOLS AND INDICES
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
